- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
UnionFindEnum< IM >::ClassIt Class Reference

## Detailed Description

### template<typename IM>
class lemon::UnionFindEnum< IM >::ClassIt

ClassIt is a lemon style iterator for the components. It iterates on the ids of the classes.

`#include <lemon/unionfind.h>`

## Public Member Functions
| ClassIt (const UnionFindEnum &ufe)
| Constructor of the iterator. More...
| ClassIt (Invalid)
| Constructor to get invalid iterator. More...
ClassIt & | operator++ ()
| Increment operator. More...
| operator int () const
| Conversion operator. More...
bool | operator== (const ClassIt &i)
| Equality operator. More...
bool | operator!= (const ClassIt &i)
| Inequality operator. More...

## Constructor & Destructor Documentation

ClassIt | ( | const UnionFindEnum & | ufe | ) |
| inline

Constructor of the iterator

ClassIt | ( | Invalid |  | ) |
| inline

Constructor to get invalid iterator

## Member Function Documentation

ClassIt& operator++ | ( |  | ) |
| inline

It steps to the next representant item.

operator int | ( |  | ) | const
| inline

It converts the iterator to the current representant item.

bool operator== | ( | const ClassIt & | i | ) |
| inline

Equality operator

bool operator!= | ( | const ClassIt & | i | ) |
| inline

Inequality operator